#pragma once
#include "../../../../Utils/Process/FSM/Condition.h"

/**
 * @brief Condition that is satisfied if a request returns enemies in a certain location.
 */
class AtLeastOneUnit : public Condition
{
public:
  bool evaluate(const std::set<BWAPI::Unit*>& units) const
  {
    return units.size() > 0;
  }
};
